### Method

# Gegl Nodeconnect

#### Declaration [src]

    gboolean
    gegl_node_connect (
      GeglNode* a,
      const gchar* a_pad_name,
      GeglNode* b,
      const gchar* b_pad_name
    )

#### Description [src]

Makes a connection between the pads of two nodes, one pad should be a source pad the other a sink pad, order does not matter.

Returns TRUE if the connection was successfully made.

#### Parameters

`a_pad_name`

  Type: `const gchar*`

  And the pad of the node we want connected.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`b`

  Type: `GeglNode`

  Another node.

  The data is owned by the caller of the method.

`b_pad_name`

  Type: `const gchar*`

  And its pad to be connected.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

No description available.